
Foreman - Bug #5811

User email validation doesn't exactly match specification

05/20/2014 12:26 PM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee:    

Category: Authentication   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1070730 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1776

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1070730

Description of problem:

hammer accepts invalid email addresses when creating users:

for example:

1. hammer user create --auth-source-id 1 --password testing --login user1 --mail "specialchars():;@example.com"

User created

1. hammer user create --auth-source-id 1 --password testing --login user2 --mail 's p a c e s@example.com'

User created

1. hammer user create --auth-source-id 1 --password testing --login user3 --mail 'dots..@example.com'

User created

1. hammer user list

ID  | LOGIN | NAME       | EMAIL

163 | user1 |            | specialchars():;@example.com

165 | user2 |            | spaces@example.com

166 | user3 |            | dots..@example.com

and it also accepts empty string as email address:

1. hammer user create --login user4 --mail '' --auth-source-id 1 --password pass

User created

and does not accept (unusual) valid addresses (see http://en.wikipedia.org/wiki/Email_address#Valid_email_addresses):

e.g.:

1. hammer user create --login user5 --mail '"very.unusual.@.unusual.com"@example.com' --auth-source-id 1 --password pass

Could not create the user:

Email address is invalid

Version-Release number of selected component (if applicable):

foreman-postgresql-1.5.0-0.develop.201402250936git8cf1033.el6.noarch

foreman-release-1.5.0-0.develop.201402250936git8cf1033.el6.noarch

dell-pem710-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch

foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch

dell-pem710-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

foreman-1.5.0-0.develop.201402250936git8cf1033.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

foreman-selinux-1.5.0-0.develop.201401221845git5f25c33.el6.noarch

rubygem-hammer_cli-0.0.18-1.el6.noarch
rubygem-hammer_cli_katello-0.0.3-1.el6.noarch

How reproducible:

always

Related issues:

Related to Foreman - Bug #12543: Email id with latin,utf-8 is not accepted wh... Closed 11/19/2015

Related to Foreman - Refactor #14641: Simplify e-mail address regex New 04/14/2016

Associated revisions

Revision bd6b4271 - 09/25/2014 11:10 AM - Christine Fouant

fixes #5811 - Validates emails to RFC 5322 specification

History

#1 - 05/20/2014 12:26 PM - Dominic Cleal

- Category set to Authentication

#2 - 09/17/2014 05:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1776 added

#3 - 09/25/2014 11:12 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 21

#4 - 09/25/2014 12:01 PM - Christine Fouant

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bd6b42715d2052c99f285dac9b919c27b36453a4.

#5 - 11/20/2015 02:52 AM - Dominic Cleal

- Related to Bug #12543: Email id with latin,utf-8 is not accepted while creating user added

#6 - 04/14/2016 08:01 AM - Dominic Cleal

- Related to Refactor #14641: Simplify e-mail address regex added
